Bug 543612 - Noise in headphones output coming from CD channel with default volumes
Noise in headphones output coming from CD channel with default volumes
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
Reported: 2009-12-02 13:08 EST by Diego Amores
Modified: 2010-12-03 21:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 21:21:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of alsa-info.sh (23.34 KB, text/plain)
2009-12-02 13:08 EST, Diego Amores
no flags Details
Output of "amixer -c0" before applying needed changes with alsamixer (2.74 KB, text/plain)
2009-12-02 13:10 EST, Diego Amores
no flags Details
Output of "amixer -c0" after applying needed changes with alsamixer (2.74 KB, text/plain)
2009-12-02 13:11 EST, Diego Amores
no flags Details
Patch to /lib/alsa/init/hda (1.21 KB, patch)
2009-12-02 13:26 EST, Diego Amores
no flags Details | Diff

  None (edit)
Description Diego Amores 2009-12-02 13:08:23 EST
Created attachment 375519 [details]
Output of alsa-info.sh

Description of problem:

My sound card (HDA Intel on a Fujitsu-Siemens Amilo M1437G laptop) is not in alsa-lib's database. This means that default volumes have to be guessed at init time, and the volume for the "CD" channel is set to 54%.

As a result, when connecting a pair of headphones, noise coming from the CD channel can be heard, lowering sound quality.

Version-Release number of selected component (if applicable): 1.0.21-3.fc12

How reproducible: Always

Steps to Reproduce:
1. Run alsactl init (to reset default volumes for my card)
2. Listen to anything through the headphones
Actual results:

Bad sound quality due to noise coming from the CD channel.

Expected results:

No noise.

Additional info:
Comment 1 Diego Amores 2009-12-02 13:10:38 EST
Created attachment 375524 [details]
Output of "amixer -c0" before applying needed changes with alsamixer
Comment 2 Diego Amores 2009-12-02 13:11:22 EST
Created attachment 375527 [details]
Output of "amixer -c0" after applying needed changes with alsamixer
Comment 3 Diego Amores 2009-12-02 13:26:09 EST
Created attachment 375533 [details]
Patch to /lib/alsa/init/hda

Attaching the patch I applied to file /lib/alsa/init/hda to make changes permanent in my laptop. Basically I copied the info that existed already for "Acer Travelmate 8100", replaced my card's subsystem vendor and device, added a line to turn off the CD Playback switch, and removed Front Playback Volume and Switch, which do not exist for my card.

Not sure if completely turning off the CD Playback channel is a good idea for everyone, but it seems pretty safe as I can play audio CD's with Rhythmbox without any problems.
Comment 4 Bug Zapper 2010-11-04 00:34:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2010-12-03 21:21:11 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.